Bug 607016 - Review Request: goobook - Abook-style interface for google contacts for mutt
Review Request: goobook - Abook-style interface for google contacts for mutt
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Carbo Kuo
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-22 19:35 EDT by Howard Ning
Modified: 2010-10-24 15:00 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-24 15:00:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
byvoid.kcp: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Howard Ning 2010-06-22 19:35:39 EDT
Spec URL:http://helloworld1.fedorapeople.org/goobook.spec
SRPM URL: http://helloworld1.fedorapeople.org/goobook-1.3-0.1.a1.fc13.noarch.rpm
Description: 
Command-line interface to Google contacts. It includes
* Searching contacts
* Mutt integration (the same way as for abook)
* Adding new contacts (very basic)

Goobook depend on hcs_utils. I have made another package. I hope reviewers can review these two packages together. https://bugzilla.redhat.com/show_bug.cgi?id=607015

Note python-simplejson > 2.1.0 is needed. It is here:
http://koji.fedoraproject.org/koji/buildinfo?buildID=179069
Comment 1 Howard Ning 2010-06-22 19:38:19 EDT
Sorry I have posted wrong link to the srpm.
Here it is:
http://helloworld1.fedorapeople.org/goobook-1.3-0.1.a1.fc13.src.rpm
Comment 2 Stanislav Ochotnicky 2010-06-23 05:10:08 EDT
Just a simple question...wouldn't it be possible to use googlecl (http://code.google.com/p/googlecl/) instead?
Comment 3 Howard Ning 2010-06-23 06:27:42 EDT
This one is mainly used with mutt, the email client so mutt can retrieve the contacts from google.
Comment 4 Stanislav Ochotnicky 2010-06-23 08:16:46 EDT
You can use googlecl for that too, it just needs a little bit of playing with output. But it's still a oneliner that can go into mutt's query_command.

Currently only advantage of goobook that I see is that it is caching google responses locally and thus it's much faster. But this should be fairly easy to add to googlecl utilities. I know it's still fresh, and goobook upstream is pretty alive, so I am not opposed to this being in Fedora, but I still believe googlecl is (or soon will be) better alternative. It's opensource too and developed primarily by Google developers so should be kept in sync with their APIs.
Comment 5 Howard Ning 2010-07-25 07:56:31 EDT
Official 1.3 is released. So I have updated package. Also python-simplejson have been pushed to stable. So I hope someone can review this package!

http://helloworld1.fedorapeople.org/goobook.spec
http://helloworld1.fedorapeople.org/goobook-1.3-1.fc13.src.rpm
Comment 6 Howard Ning 2010-07-25 07:57:27 EDT
Well hcs_utils is also updated. Please review them together.
https://bugzilla.redhat.com/show_bug.cgi?id=607015
Comment 9 Carbo Kuo 2010-08-06 11:12:39 EDT
I'm not a sponsored packager, I can just do a informal review:

 +:ok, =:needs attention, -:needs fixing ?: unknown

MUST Items:
[+] MUST: rpmlint must be run on every package.
rpmlint goobook-1.3-3.fc13.src.rpm 
goobook.src: W: spelling-error Summary(en_US) Abook -> Book, A book, About
goobook.src: W: spelling-error Summary(en_US) google -> Google, goggle, googly
goobook.src: W: spelling-error %description -l en_US abook -> book, a book, about
goobook.src: W: no-cleaning-of-buildroot %install
goobook.src: W: no-cleaning-of-buildroot %clean
goobook.src: W: no-buildroot-tag
goobook.src: W: no-%clean-section
1 packages and 0 specfiles checked; 0 errors, 7 warnings.

[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}
[+] MUST: The package must be licensed with a Fedora approved license and meet
the Licensing Guidelines.
[+] MUST: The License field in the package spec file must match the actual
license.
[+] MUST: If (and only if) the source package includes the text of the
license(s) in its own file, then that file, containing the text of the
license(s) for the package must be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source,
as provided in the spec URL.
cbe05f778a4c8a26c844367dfb46c488  goobook-1.3.tar.gz

[+] MUST: The package must successfully compile and build into binary rpms on
at least one supported architecture.
[+] MUST: If the package does not successfully compile, build or work on an
architecture, then those architectures should be listed in the spec in
ExcludeArch.
[+] MUST: All build dependencies must be listed in BuildRequires
[+] MUST: The spec file MUST handle locales properly. This is done by using the
%find_lang macro.
[+] MUST: Every binary RPM package which stores shared library files (not just
symlinks) in any of the dynamic linker's default paths, must call ldconfig in
%post and %postun.
[+] MUST: If the package is designed to be relocatable, the packager must state
this fact in the request for review
[+] MUST: A package must own all directories that it creates. If it does not
create a directory that it uses, then it should require a package which does
create that directory.
[+] MUST: A package must not contain any duplicate files in the %files listing.
[+] MUST: Permissions on files must be set properly. Executables should be set
with executable permissions, for example. Every %files section must include a
%defattr(...) line.
[+] MUST: Each package must consistently use macros, as described in the macros
section of Packaging Guidelines.
[+] MUST: The package must contain code, or permissible content. This is
described in detail in the code vs. content section of Packaging Guidelines.
[+] MUST: Large documentation files should go in a doc subpackage.
[+] MUST: If a package includes something as %doc, it must not affect the
runtime of the application.
[+] MUST: Packages must not own files or directories already owned by other
packages.
[+] MUST: All filenames in rpm packages must be valid UTF-8.

SHOULD Items:
[+] SHOULD: If the source package does not include license text(s) as a
separate file from upstream, the packager SHOULD query upstream to include it.
[+] SHOULD: The description and summary sections in the package spec file
should contain translations for supported Non-English languages, if available.
[+] SHOULD: The reviewer should test that the package builds in mock.
[+] SHOULD: The package should compile and build into binary rpms on all
supported architectures.
[+] SHOULD: The reviewer should test that the package functions as described.
Importing is OK but whether it is functional is hard to test.

[+] SHOULD: If scriptlets are used, those scriptlets must be sane.
[+] SHOULD: Usually, subpackages other than devel should require the base
package using a fully versioned dependency.
[+] SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and
this is usually for development purposes, so should be placed in a -devel pkg.
A reasonable exception is that the main pkg itself is a devel tool not
installed in a user runtime, e.g. gcc or gdb.
[+] SHOULD: Packages should try to preserve timestamps of original installed
files.

Issues:
Group: Applications/Productivity should be Group: Applications/Internet

Requires:	python-simplejson >= 2.1.0
Requires:	python-hcs_utils >= 1.1.1
Requires:	python-gdata >= 1.1
Requires:	python-argparse >= 1.1

You may need to check koji to see if versioned requirement is really needed. At least python-gdata >= 1.1 can be changed to python-gdata, because the version of this package in F12 is larger 1.1.
Comment 10 Howard Ning 2010-08-06 13:00:18 EDT
These requirements are taken directly from the python imports.
Requires: python-simplejson >= 2.1.0
is a must for F12 and F13.

Requires: python-hcs_utils >= 1.1.1
should be python-hcs_utils = 1.1.1

because it does not work for verison > 1.1.1 or < 1.1.1 


python-argparse >= 1.1 are required for F12.

python-gdata is unnecessary as you said.

Group issue:
Well I think it can be placed under productivity because Abook did this and goobook is similar to abook. Also it is also very good for Applications/Internet because it will access internet.
Comment 12 Howard Ning 2010-08-21 21:35:25 EDT
New Package SCM Request
=======================
Package Name: goobook
Short Description: Abook-style interface for google contacts for mutt
Owners: helloworld1
Branches: f12 f13 f14
InitialCC:
Comment 13 Stanislav Ochotnicky 2010-08-23 10:14:30 EDT
Chia-Pao Kuo: You should assign bug to yourself when you are doing package reviews. You noted that you are doing only informal review but then you added fedora-review+ flag. Since Howard is already sponsored this is not such a big problem, but it looked dubious until I checked his FAS account.
Comment 14 manuel wolfshant 2010-08-23 10:38:22 EDT
Stanislav: At the time of his first comment ( i.e. unofficial review) Chia was not sponsored. Meanwhile I have sponsored him.
Comment 15 Stanislav Ochotnicky 2010-08-23 10:57:46 EDT
(In reply to comment #14)
> Stanislav: At the time of his first comment ( i.e. unofficial review) Chia was
> not sponsored. Meanwhile I have sponsored him.

Ah, ok then. It's still quite hard to figure that out just by looking at this bug.
Comment 16 Kevin Fenzi 2010-08-23 17:04:04 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.